Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1416311 - Impossible to assign an alert profile
Summary: Impossible to assign an alert profile
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Dmitry Misharov
URL:
Whiteboard: ui:alert
Depends On:
Blocks: 1402526 1418400
TreeView+ depends on / blocked
 
Reported: 2017-01-25 08:56 UTC by Dmitry Misharov
Modified: 2017-06-12 16:13 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1418400 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:13:08 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Dmitry Misharov 2017-01-25 08:56:48 UTC
Description of problem:
The assignment screen for an alert profile does not appear at all.

Version-Release number of selected component (if applicable):
5.7.1.0.20170124142149_8a5f4d5 

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Control->Explorer.
2. Expand Alert Profiles accordion.
3. Click Configuration->Edit assignments for this Alert Profile

Actual results:
Nothing happened.

Expected results:
The assignment screen should appeared.

Comment 2 Milan Zázrivec 2017-01-26 12:18:48 UTC
https://github.com/ManageIQ/manageiq/pull/13660

Comment 4 Satoe Imaishi 2017-02-01 18:12:18 UTC
For 'master' branch: https://github.com/ManageIQ/manageiq-ui-classic/pull/241

Comment 5 CFME Bot 2017-02-01 18:15:52 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/5b0685d31b92141315d1e78f26c66810b01b9be1

commit 5b0685d31b92141315d1e78f26c66810b01b9be1
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jan 26 13:15:23 2017 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jan 26 13:15:23 2017 +0100

    Fix incorrect use of PostponedTranslation
    
    PostponedTranslation needs to be passed a block, which in this
    case is not really needed (no string expansion is being done here).
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1416311

 app/helpers/ui_constants.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 6 Dmitry Misharov 2017-02-27 15:49:51 UTC
Fixed and verified in 5.8.0.2.20170223184827_489bf7c.


Note You need to log in before you can comment on or make changes to this bug.